Wed, 16 Jun 2021 13:29:29 UTC

Information for RPM perl-true-1.0.1-1.el8.src.rpm

ID19540792
Nameperl-true
Version1.0.1
Release1.el8
Epoch
Archsrc
SummaryAutomatically return a true value when a file is required
DescriptionPerl's require built-in (and its use wrapper) requires the files it loads to return a true value. This is usually accomplished by placing a single 1; statement at the end of included scripts or modules. It's not onerous to add but it's a speed bump on the Perl novice's road to enlightenment. In addition, it appears to be a non-sequitur to the uninitiated, leading some to attempt to mitigate its appearance with a comment: 1; # keep require happy or: 1; # Do not remove this line or even: 1; # Must end with this, because Perl is bogus. This module packages this "return true" behavior so that it need not be written explicitly. It can be used directly, but it is intended to be invoked from the import method of a Modern::Perl-style module that enables modern Perl features and conveniences and cleans up legacy Perl warts.
Build Time2019-11-07 18:35:38 GMT
Size75,534
7f9abe5341e9a9f8b5ecc8c2df9fd9d9
LicenseArtistic 2.0
Buildrootepel8-build-18108617-1293979
Provides No Provides
Obsoletes No Obsoletes
Conflicts No Conflicts
Requires
coreutils
findutils
gcc
make
perl(B::Hooks::OP::Annotation) >= 0.44
perl(B::Hooks::OP::Check) >= 0.22
perl(Config)
perl(Devel::StackTrace) >= 2.03
perl(ExtUtils::Depends) >= 0.304
perl(ExtUtils::MakeMaker) >= 6.76
perl(File::Copy)
perl(File::Spec)
perl(FindBin)
perl(Function::Parameters) >= 2.001003
perl(Moo) >= 2.003004
perl(Test::More)
perl(XSLoader)
perl(base)
perl(lib)
perl(strict)
perl(version) >= 0.77
perl(warnings)
perl-devel
perl-generators
perl-interpreter
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
Recommends No Recommends
Suggests No Suggests
Supplements No Supplements
Enhances No Enhances
Files
1 through 2 of 2
Name ascending sort Size
perl-true.spec5,550
true-v1.0.1.tar.gz62,775
Component of No Buildroots